function onCreate()
	-- background shit
	makeLuaSprite('sky', 'sky', -300, -300);
	setScrollFactor('sky', 0.8, 0.8);
	
	makeLuaSprite('stageback', 'beach', -300, -100);
	setScrollFactor('stageback', 0.9, 0.9);
	
	makeLuaSprite('stagefront', 'boardwalk', -400, -200);
	setScrollFactor('stagefront', 0.9, 0.9);
	scaleObject('stagefront', 1.1, 1.1);

	-- sprites that only load if Low Quality is turned off
	if not lowQuality then
		
	end

	addLuaSprite('sky', false);
	addLuaSprite('stageback', false);
	addLuaSprite('stagefront', false);
	
	
	close(true); --For performance reasons, close this script once the stage is fully loaded, as this script won't be used anymore after loading the stage
end